clear variables;
DirName=pwd;
eigvec=dlmread('../../vector_PCA.txt');

%%
Xlist=[1.1,2.2,11,55,110];

ProjNam='kw1_1.1_'; Nlis=[2901:2902];
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName,'/data/',ProjNam,num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(1:3,1)=mean([Ar{1}',Ar{2}']');
Fvec1std(1:3,1)=std([Ar{1}',Ar{2}']');

ProjNam='kw1_2.2_'; Nlis=[2903:2904];
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName,'/data/',ProjNam,num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(1:3,2)=mean([Ar{1}',Ar{2}']');
Fvec1std(1:3,2)=std([Ar{1}',Ar{2}']');

ProjNam='kw1_11_'; Nlis=[2907:2908];
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName,'/data/',ProjNam,num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(1:3,3)=mean([Ar{1}',Ar{2}']');
Fvec1std(1:3,3)=std([Ar{1}',Ar{2}']');

ProjNam='kw1_55_'; Nlis=[2911:2912];
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName,'/data/',ProjNam,num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(1:3,4)=mean([Ar{1}',Ar{2}']');
Fvec1std(1:3,4)=std([Ar{1}',Ar{2}']');

ProjNam='kw1_110_'; Nlis=[2913:2914];
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName,'/data/',ProjNam,num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(1:3,5)=mean([Ar{1}',Ar{2}']');
Fvec1std(1:3,5)=std([Ar{1}',Ar{2}']');

%%
figure,
subplot(2,1,1);
plot(Xlist,Fvec1(1,:),'o--','LineWidth',1,'Color',[25,169,72]/255);
hold on;
plot(Xlist,Fvec1(2,:),'o--','LineWidth',1,'Color',[165,31,71]/255);
plot(Xlist,Fvec1(3,:),'o--','LineWidth',1,'Color',[236,240,39]/255);
errorbar(Xlist,Fvec1(1,:),Fvec1std(1,:),'o--','LineWidth',1,'Color',[25,169,72]/255);
errorbar(Xlist,Fvec1(2,:),Fvec1std(2,:),'o--','LineWidth',1,'Color',[165,31,71]/255);
errorbar(Xlist,Fvec1(3,:),Fvec1std(3,:),'o--','LineWidth',1,'Color',[236,240,39]/255);
hold off;
xlim([0,110]); ylim([-1.5e5 5e4]);
set(gca,'FontSize',17);
fig = gcf;
fig.Color = 'white';
fig.InvertHardcopy = 'off';
F=getframe(gcf);
imwrite(uint8(F.cdata),[DirName,'/Fig2f.png'],'png');
saveas(gcf,[DirName,'/Fig2f'],'epsc');
